Project

General

Profile

Bug #15263

Feature #15262: GNOME Software

Persistence-setup: stop depending on synaptic

Added by alant about 2 years ago. Updated about 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Persistence
Target version:
Start date:
01/29/2018
Due date:
% Done:

100%

Feature Branch:
persistence-setup.git:bugfix/15263-stop-depend-on-synaptic,persistence-setup.git:debian_bugfix/15263-stop-depend-on-synaptic
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Description

tails-persistence-setup depends on synaptic to use one of its icons. That should be fixed as part of this ticket, for instance using package-x-generic or/and x-package-repository icons provided by gnome-icon-theme.

History

#1 Updated by intrigeri about 2 years ago

  • Assignee changed from intrigeri to alant

Good idea, feel free to go ahead (or reassign to me and explain why it's my job :)

#2 Updated by alant about 2 years ago

  • Tracker changed from Feature to Bug

#3 Updated by alant about 2 years ago

  • Assignee changed from alant to intrigeri
  • QA Check set to Ready for QA
  • Feature Branch set to debian_bugfix/15263-stop-depend-on-synaptic

I implemented the proposed change, and tested it live but didn't build the package. Please have a look or tell me who to ask for review.

#4 Updated by intrigeri about 2 years ago

  • Category set to Persistence
  • Status changed from Confirmed to In Progress
  • Assignee changed from intrigeri to bertagaz
  • Target version set to Tails_3.6
  • % Done changed from 0 to 20
  • Feature Branch changed from debian_bugfix/15263-stop-depend-on-synaptic to persistence-setup.git:bugfix/15263-stop-depend-on-synaptic,persistence-setup.git:debian_bugfix/15263-stop-depend-on-synaptic

Looks good to me. bertagaz, once you've merged bugfix/15263-stop-depend-on-synaptic, built a new upstream release and imported it into the packaging branch, you can merge debian_bugfix/15263-stop-depend-on-synaptic into the packaging branch. But don't merge it earlier because it would FTBFS (modified upstream files).

#5 Updated by bertagaz about 2 years ago

  • Status changed from In Progress to 11
  • Assignee deleted (bertagaz)
  • % Done changed from 20 to 100
  • QA Check changed from Ready for QA to Pass

intrigeri wrote:

Looks good to me. bertagaz, once you've merged bugfix/15263-stop-depend-on-synaptic, built a new upstream release and imported it into the packaging branch, you can merge debian_bugfix/15263-stop-depend-on-synaptic into the packaging branch. But don't merge it earlier because it would FTBFS (modified upstream files).

Ok I've merged it and build a new upstream release as well as pushed the new release in our APT repo. Test suite passes in Jenkins without surprises, given the scope of this change. So let's say we're good here.

#6 Updated by intrigeri about 2 years ago

  • Status changed from 11 to In Progress
  • Assignee set to bertagaz
  • % Done changed from 100 to 90

The upload was rejected because we already have 1.1.11-1 in our APT repo.

#7 Updated by bertagaz about 2 years ago

  • Status changed from In Progress to 11
  • Assignee deleted (bertagaz)
  • % Done changed from 90 to 100

intrigeri wrote:

The upload was rejected because we already have 1.1.11-1 in our APT repo.

While releasing 3.6~rc1, I've uploaded a new package, so it's now fixed.

#8 Updated by bertagaz about 2 years ago

  • Status changed from 11 to Resolved

Also available in: Atom PDF